BuildEnvironmentReportTask (Gradle API 8.14.2)
Description: declaration: package: org.gradle.api.tasks.diagnostics, class: BuildEnvironmentReportTask

Package org.gradle.api.tasks.diagnostics

# Class BuildEnvironmentReportTask

java.lang.Object
org.gradle.api.internal.AbstractTask
org.gradle.api.DefaultTask
org.gradle.api.tasks.diagnostics.BuildEnvironmentReportTask

All Implemented Interfaces:
  `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.TaskInternal`, `Named`, `ExtensionAware`, `Task`, `Configurable<Task>`

@UntrackedTask(because="Produces only non-cacheable console output") public abstract class BuildEnvironmentReportTask extends DefaultTask
Provides information about the build environment for the project that the task is associated with.

Currently, this information is limited to the project's declared build script dependencies visualised in a similar manner as provided by `DependencyReportTask`.

It is not necessary to manually add a task of this type to your project, as every project automatically has a task of this type by the name `"buildEnvironment"`.

Since:
  2.10

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.Task

  `Task.Namer`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `TASK_NAME`

  ### Fields inherited from interface org.gradle.api.Task

  `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_OVERWRITE, TASK_TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BuildEnvironmentReportTask()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `generate()`
  `protected org.gradle.initialization.BuildClientMetaData`
  `getClientMetaData()`
  `protected abstract org.gradle.internal.jvm.inspection.JvmMetadataDetector`
  `getMetadataDetector()`
  `protected org.gradle.internal.logging.text.StyledTextOutputFactory`
  `getTextOutputFactory()`

  ### Methods inherited from class org.gradle.api.DefaultTask

  `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

  ### Methods inherited from class org.gradle.api.internal.AbstractTask

  `acceptServiceReferences, appendParallelSafeAction, doNotTrackState, getAsDynamicObject, getConvention, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getOnlyIf, getReasonNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, setImpliesSubProjects`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.gradle.api.Task

  `doNotTrackState, getConvention, notCompatibleWithConfigurationCache`

- ## Field Details

  - ### TASK_NAME

    public static final String TASK_NAME
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### BuildEnvironmentReportTask

    public BuildEnvironmentReportTask()

- ## Method Details

  - ### getClientMetaData

    @Inject protected org.gradle.initialization.BuildClientMetaData getClientMetaData()

  - ### getTextOutputFactory

    @Inject protected org.gradle.internal.logging.text.StyledTextOutputFactory getTextOutputFactory()

  - ### getMetadataDetector

    @Inject protected abstract org.gradle.internal.jvm.inspection.JvmMetadataDetector getMetadataDetector()

  - ### generate

    public void generate()